Announcement

Collapse
No announcement yet.

Upgrade to 5.0.4 fails due updating merged user

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrade to 5.0.4 fails due updating merged user

    Hi guys,

    I'm currently trying to Upgrade a forum from 4.2.1 to 5.1.3, but it seems that there are problems with merged/joined users. I only did merge users one time and this user is failing now. When I deleted the merged user, the upgrade runs smooth.

    The Upgrade stops here:
    Code:
        Upgrading to 5.0.4 Alpha 1
        Step 1 - Updating userlist table
        Step 2 - Skipping step, not needed
        Status: Aborted
    Code:
    Unexpected Text:
    
    <?xml version="1.0" encoding="windows-1252"?>
    <b>API Error</b><br><b>Error:</b> nopermission_loggedin<br><b>Args:</b><br><pre style="font-family:Lucida Console,Monaco5,monospace;font-size:small;overflow:auto;border:1px solid #CCC;">array (
      0 =&gt; 'USERNAME',
      1 =&gt; 'right',
      2 =&gt; NULL,
      3 =&gt; '**KEY**',
      4 =&gt; '',
    )</pre>
    I couldn't find any problems similar to this. Any clue on this failure?

    Thanks in advance!

  • #2
    You don't have an administrator with full permissions. Make sure that your core/includes/config.php has the right userid of someone who is an administrator in it.

    Comment


    • #3
      Originally posted by Zachery View Post
      You don't have an administrator with full permissions. Make sure that your core/includes/config.php has the right userid of someone who is an administrator in it.
      That did the trick, thanks!

      Maybe this should be pointed out, as the upgrade instructions recommend to delete the complete folder and pass the new one. After that there is no message that tells me the admin ids should be populated.

      Comment

      Related Topics

      Collapse

      Working...
      X